## Includes
Some objects returned by the API may have associations that are not included in the JSON response by default. Those associated objects can be requested by adding an `include` parameter to the request. For example, to request both a list of posts, and the users that created those posts, you could request `/posts.json?include=user`. The response will consist of a JSON object with an array of result mappings under the `"results"` key, a `"posts"` key with a hash of post objects, keyed by id, and a `"users"` key with a hash of user objects, again keyed by id. To find the user that created a particular post, just use the post object's `"user_id"` key to find the user object keyed with the same id.
Multiple associations may be fetched simultaneously by adding comma-separated values to the `include` parameter. For example, to fetch the user and replies associated with post 6, you might request `/posts.json?only=6&include=user,attachments`, which would supply both the users and the attachments that belong to the posts returned in the response.
*Example*

```curl
curl -H "Authorization: Bearer abc123" "https://api.mavenlink.com/api/v1/posts.json?include=user,attachments"
```

```json
{
  "count": 1,
  "results": [
    { "key": "posts", "id": "16270634" }
  ],
  "posts": {
    "16270634": {
      "id": "16270634",
      "message": "Hello World",
      "has_attachments": true,
      "user_id": "2",
      "workspace_id": "2249167",
      "attachment_ids": ["6700107"]
    }
  },
  "users": {
    "2": {
      "id": "2",
      "full_name": "John Doe",
      "email_address": "johnny_doe@example.com"
    }
  },
  "attachments": {
    "6700107": {
      "id": "6700107",
      "created_at": "2013-04-15T16:48:48-07:00",
      "filename": "turtle.jpg",
      "filesize": 16225
    }
  }
}
```
